Bug 855935 - [abrt] freeipa-server-2.1.4-7.fc16: free: Process /usr/sbin/ipa_kpasswd was killed by signal 11 (SIGSEGV)
[abrt] freeipa-server-2.1.4-7.fc16: free: Process /usr/sbin/ipa_kpasswd was k...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
abrt_hash:84c23debc9a2654c9698d1f9574...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 12:36 EDT by James Cape
Modified: 2013-01-16 15:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 15:15:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (10.92 KB, text/plain)
2012-09-10 12:36 EDT, James Cape
no flags Details
File: coredump (924.00 KB, text/plain)
2012-09-10 12:36 EDT, James Cape
no flags Details
File: backtrace (12.90 KB, text/plain)
2012-09-10 12:36 EDT, James Cape
no flags Details

  None (edit)
Description James Cape 2012-09-10 12:36:28 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/sbin/ipa_kpasswd
comment:        
crash_function: free
executable:     /usr/sbin/ipa_kpasswd
kernel:         3.3.4-1.fc16.x86_64
pid:            7036
pwd:            /
reason:         Process /usr/sbin/ipa_kpasswd was killed by signal 11 (SIGSEGV)
time:           Mon 10 Sep 2012 04:10:26 AM EDT
uid:            0
username:       root

backtrace:      Text file, 13208 bytes
maps:           Text file, 11185 bytes

build_ids:
:61aea344c391d8ca2c072b40c36b74bc28711038
:12fdc5a85e732c3f5e8b57d5d2901f36654c88ff
:89017ab0b75e533e4294f74ee8f7db3daceea536
:fdff2d98463ddd6e8c3883936e12070b2d039e58
:bbb7c497ff14faf6e1a51da91e884427f670517f
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:368c3cee84c23ec196abdf632219adea6bc31f4f
:98710ef6382aabb845e5d732c12dfb9d7a26a9f7
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:e2e67b3ae2579e1667b73ad385f61552931024e9
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:fd9382c0c560787ffa445d2b5b3d935bb6523c1d
:f389a5f76651b050b580a20b8a82c115806a752c
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:fc106c3f56728991fa6e4498834089357baff6fd
:92a8620eef4d5ae3541a2165488b4418dad9e5c6
:8c49577fba3c97a9de9331b5245737f6250e831c
:e814ef8432b7dec42a0b8ec12b9abd9fc7f57b40
:17f981cb9dbb88e65022c2d49ef5f939da321833
:4cdc412d376d3e5bb73c336bf3eb86667223b944
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:ee2f04900ae1f07517d91eba300ef385fccab1b8

dso_list:
:/usr/lib64/libnssutil3.so nss-util-3.13.4-2.fc16.x86_64 (Fedora Project) 1336166867
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1331947614
:/lib64/libfreebl3.so nss-softokn-freebl-3.13.4-1.fc16.x86_64 (Fedora Project) 1336167000
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-27.fc16.x86_64 (Fedora Project) 1331947613
:/lib64/libresolv-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331947606
:/usr/lib64/libssl3.so nss-3.13.4-2.fc16.x86_64 (Fedora Project) 1336167005
:/lib64/libnspr4.so nspr-4.9-2.fc16.x86_64 (Fedora Project) 1336166865
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331947606
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331947606
:/usr/lib64/libnss3.so nss-3.13.4-2.fc16.x86_64 (Fedora Project) 1336167005
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1331947610
:/usr/lib64/libsmime3.so nss-3.13.4-2.fc16.x86_64 (Fedora Project) 1336167005
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331947606
:/lib64/libplds4.so nspr-4.9-2.fc16.x86_64 (Fedora Project) 1336166865
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331947606
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331947606
:/lib64/libplc4.so nspr-4.9-2.fc16.x86_64 (Fedora Project) 1336166865
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1331947606
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1331947610
:/lib64/libselinux.so.1 libselinux-2.1.6-6.fc16.x86_64 (Fedora Project) 1331947610

environ:
:BOOT_IMAGE=/vmlinuz-3.3.4-1.fc16.x86_64
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
:SYSFONT=latarcyrheb-sun16
:LANG=en_US.UTF-8
:PWD=/
:KEYTABLE=us

var_log_messages:
:Sep 10 04:10:26 ipa1-nyc2 kernel: [11095364.228483] ipa_kpasswd[7036] general protection ip:396a082b74 sp:7fff0213f888 error:0 in libc-2.14.90.so[396a000000+1ad000]
:Sep 10 04:10:26 ipa1-nyc2 abrt[7037]: File '/usr/sbin/ipa_kpasswd' seems to be deleted
:Sep 10 04:10:29 ipa1-nyc2 abrt[7037]: Saved core dump of pid 7036 (/usr/sbin/ipa_kpasswd) to /var/spool/abrt/ccpp-2012-09-10-04:10:26-7036 (946176 bytes)
Comment 1 James Cape 2012-09-10 12:36:32 EDT
Created attachment 611490 [details]
File: maps
Comment 2 James Cape 2012-09-10 12:36:35 EDT
Created attachment 611491 [details]
File: coredump
Comment 3 James Cape 2012-09-10 12:36:37 EDT
Created attachment 611492 [details]
File: backtrace
Comment 4 Rob Crittenden 2012-09-10 14:40:44 EDT
What were you doing when ipa_kpasswd segfaulted?
Comment 5 Fedora End Of Life 2013-01-16 12:07:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Rob Crittenden 2013-01-16 15:15:29 EST
ipa_kpasswd has been deprecated since a new KDC LDAP backend was introduced in IPA 2.2.0.
 
Closing as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.